﻿using System.Collections.Generic;
using IrcTokens;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace IrcStates.Tests
{
    [TestClass]
    public class Motd
    {
        [TestMethod]
        public void MessageOfTheDay()
        {
            var server = new Server("test");
            server.ParseTokens(new Line("001 nickname"));
            server.ParseTokens(new Line("375 * :start of motd"));
            server.ParseTokens(new Line("372 * :first line of motd"));
            server.ParseTokens(new Line("372 * :second line of motd"));

            CollectionAssert.AreEqual(new List<string> {"start of motd", "first line of motd", "second line of motd"},
                server.Motd);
        }
    }
}
